> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /kijiji/listings/search

> Search Kijiji classifieds across Canada: for each result returns title, description, price, location, images, posting dates and the category-specific attributes. Supports keyword and category browsing plus filters for price, seller kind, vehicles (make, model, year, mileage, body type, fuel, drivetrain, colour, features), real estate (bedrooms, bathrooms, unit type, amenities, pet and smoking policy) and jobs (employment type).

**Price:** 5 credits per 40 results



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/kijiji/listings/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/kijiji/listings/search:
    post:
      tags:
        - /kijiji
      summary: /kijiji/listings/search
      description: >-
        Search Kijiji classifieds across Canada: for each result returns title,
        description, price, location, images, posting dates and the
        category-specific attributes. Supports keyword and category browsing
        plus filters for price, seller kind, vehicles (make, model, year,
        mileage, body type, fuel, drivetrain, colour, features), real estate
        (bedrooms, bathrooms, unit type, amenities, pet and smoking policy) and
        jobs (employment type).


        **Price:** 5 credits per 40 results
      operationId: __api_kijiji_listings_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KijijiListingsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KijijiListingCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KijijiListingsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          default: ''
        count:
          type: integer
          minimum: 1
        category_id:
          type: integer
          minimum: 0
          default: 0
        location_id:
          type: integer
          minimum: 0
          default: 0
        sort:
          $ref: '#/components/schemas/KijijiSortBy'
          default: date
        order:
          $ref: '#/components/schemas/KijijiSortDirection'
          default: desc
        ad_type:
          anyOf:
            - $ref: '#/components/schemas/KijijiAdType'
            - type: 'null'
        price_type:
          anyOf:
            - $ref: '#/components/schemas/KijijiPriceType'
            - type: 'null'
        min_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        for_sale_by:
          anyOf:
            - $ref: '#/components/schemas/KijijiForSaleBy'
            - type: 'null'
        verified_only:
          type: boolean
          default: false
        with_images:
          type: boolean
          default: false
        with_video:
          type: boolean
          default: false
        price_drop_only:
          type: boolean
          default: false
        make:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        model:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        min_year:
          anyOf:
            - type: integer
              maximum: 2099
              minimum: 1900
            - type: 'null'
        max_year:
          anyOf:
            - type: integer
              maximum: 2099
              minimum: 1900
            - type: 'null'
        min_mileage:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_mileage:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        body_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiBodyType'
              type: array
            - type: 'null'
        vehicle_condition:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiVehicleCondition'
              type: array
            - type: 'null'
        transmission:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiTransmission'
              type: array
            - type: 'null'
        fuel_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiFuelType'
              type: array
            - type: 'null'
        drivetrain:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiDrivetrain'
              type: array
            - type: 'null'
        colour:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiColour'
              type: array
            - type: 'null'
        seats:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        doors:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        vehicle_features:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiVehicleFeature'
              type: array
            - type: 'null'
        dealer_options:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiDealerOption'
              type: array
            - type: 'null'
        bedrooms:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
        bathrooms:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
        unit_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiUnitType'
              type: array
            - type: 'null'
        for_rent_by:
          anyOf:
            - $ref: '#/components/schemas/KijijiForRentBy'
            - type: 'null'
        furnished:
          anyOf:
            - type: boolean
            - type: 'null'
        air_conditioning:
          anyOf:
            - type: boolean
            - type: 'null'
        parking_spots:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        agreement_type:
          anyOf:
            - $ref: '#/components/schemas/KijijiAgreementType'
            - type: 'null'
        smoking_permitted:
          anyOf:
            - $ref: '#/components/schemas/KijijiSmokingPolicy'
            - type: 'null'
        pets_allowed:
          anyOf:
            - $ref: '#/components/schemas/KijijiPetPolicy'
            - type: 'null'
        min_area:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_area:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        rental_virtual_options:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiRentalVirtualOption'
              type: array
            - type: 'null'
        rent_deferral:
          type: boolean
          default: false
        date_available:
          anyOf:
            - type: string
            - type: 'null'
        rental_amenities:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiRentalAmenity'
              type: array
            - type: 'null'
        job_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/KijijiJobType'
              type: array
            - type: 'null'
        job_offered_by:
          anyOf:
            - $ref: '#/components/schemas/KijijiJobOfferedBy'
            - type: 'null'
        locale:
          $ref: '#/components/schemas/KijijiLocale'
          default: en
      type: object
      required:
        - count
    KijijiListingCard:
      properties:
        '@type':
          type: string
          default: KijijiListingCard
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        listing_type:
          anyOf:
            - type: string
            - type: 'null'
        category_id:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        original_price:
          anyOf:
            - type: number
            - type: 'null'
        msrp:
          anyOf:
            - type: number
            - type: 'null'
        price_type:
          anyOf:
            - type: string
            - type: 'null'
        price_rating:
          anyOf:
            - type: string
            - type: 'null'
        average_market_price:
          anyOf:
            - type: number
            - type: 'null'
        surcharges:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_top_ad:
          anyOf:
            - type: boolean
            - type: 'null'
        is_price_drop:
          anyOf:
            - type: boolean
            - type: 'null'
        is_showcase:
          anyOf:
            - type: boolean
            - type: 'null'
        is_highlighted:
          anyOf:
            - type: boolean
            - type: 'null'
        is_shipped_by_seller:
          anyOf:
            - type: boolean
            - type: 'null'
        has_virtual_tour:
          anyOf:
            - type: boolean
            - type: 'null'
        has_category_badge:
          anyOf:
            - type: boolean
            - type: 'null'
        ad_source:
          anyOf:
            - type: string
            - type: 'null'
        seller_id:
          anyOf:
            - type: string
            - type: 'null'
        is_seller_verified:
          anyOf:
            - type: boolean
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/KijijiListingLocation'
            - type: 'null'
        attributes:
          items:
            $ref: '#/components/schemas/KijijiListingAttribute'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    KijijiSortBy:
      type: string
      enum:
        - date
        - price
        - distance
        - mileage
        - relevance
    KijijiSortDirection:
      type: string
      enum:
        - asc
        - desc
    KijijiAdType:
      type: string
      enum:
        - offer
        - wanted
    KijijiPriceType:
      type: string
      enum:
        - free
        - contact
        - swap_trade
    KijijiForSaleBy:
      type: string
      enum:
        - owner
        - dealer
    KijijiBodyType:
      type: string
      enum:
        - convertible
        - coupe
        - hatchback
        - pickup_truck
        - sedan
        - suv_crossover
        - van_minivan
        - wagon
        - other
    KijijiVehicleCondition:
      type: string
      enum:
        - new
        - used
        - lease
        - damaged
        - salvage
    KijijiTransmission:
      type: string
      enum:
        - manual
        - automatic
        - semi_automatic
        - other
    KijijiFuelType:
      type: string
      enum:
        - diesel
        - electric
        - gas
        - hybrid
        - other
    KijijiDrivetrain:
      type: string
      enum:
        - four_by_four
        - awd
        - fwd
        - rwd
        - other
    KijijiColour:
      type: string
      enum:
        - black
        - blue
        - brown
        - burgundy
        - gold
        - gray
        - green
        - orange
        - pink
        - purple
        - red
        - silver
        - tan
        - teal
        - white
        - yellow
        - beige
        - off_white
        - other
    KijijiVehicleFeature:
      type: string
      enum:
        - air_conditioning
        - alloy_wheels
        - bluetooth
        - cruise_control
        - navigation
        - parking_assist
        - push_button_start
        - sunroof
        - trailer_hitch
    KijijiDealerOption:
      type: string
      enum:
        - by_appointment_only
        - home_delivery
        - online_financing
        - online_purchasing
        - payment_deferrals
        - return_policy
        - service_drop_off
        - service_open
        - showroom_open
        - video_chat
        - virtual_appraisal
    KijijiUnitType:
      type: string
      enum:
        - apartment
        - condo
        - basement_apartment
        - house
        - townhouse
        - duplex_triplex
    KijijiForRentBy:
      type: string
      enum:
        - owner
        - professional
    KijijiAgreementType:
      type: string
      enum:
        - month_to_month
        - one_year
    KijijiSmokingPolicy:
      type: string
      enum:
        - 'yes'
        - 'no'
        - outdoors_only
    KijijiPetPolicy:
      type: string
      enum:
        - 'yes'
        - 'no'
        - limited
    KijijiRentalVirtualOption:
      type: string
      enum:
        - online_application
        - video_chat
        - virtual_tour
    KijijiRentalAmenity:
      type: string
      enum:
        - yard
        - balcony
        - hydro
        - heat
        - water
        - cable_tv
        - internet
        - laundry_in_unit
        - laundry_in_building
        - dishwasher
        - fridge_freezer
        - elevator
        - gym
        - pool
        - concierge
        - security_24h
        - bicycle_parking
        - storage_locker
        - barrier_free_entrance
        - visual_aids
        - accessible_washroom
        - wheelchair_accessible
        - braille_labels
        - audio_prompts
    KijijiJobType:
      type: string
      enum:
        - full_time
        - part_time
        - contract
        - temporary
        - contact
    KijijiJobOfferedBy:
      type: string
      enum:
        - individual
        - professional
    KijijiLocale:
      type: string
      enum:
        - en
        - fr
    KijijiListingLocation:
      properties:
        '@type':
          type: string
          default: KijijiListingLocation
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        distance:
          anyOf:
            - type: number
            - type: 'null'
        nearest_intersection:
          anyOf:
            - type: string
            - type: 'null'
        neighbourhood:
          anyOf:
            - type: string
            - type: 'null'
        neighbourhood_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KijijiListingAttribute:
      properties:
        '@type':
          type: string
          default: KijijiListingAttribute
        canonical_name:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        values:
          items:
            type: string
          type: array
          default: []
        canonical_values:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - canonical_name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````